export interface AltCardProps {
    /**
     * String at the top of the text portion of the card
     */
    title: string;
    /**
     * String used as body/subtitle below title
     */
    body?: string;
    /**
     * Src for image at top of card
     */
    imgSrc: string;
    /**
     * Src for alt at top of card
     */
    imgAlt: string;
    /**
     * Toggle smaller font
     */
    narrow: boolean;
    /**
     * Src for image in thumbnail at top of card, only for narrow cards
     */
    thumbnailSrc?: string;
    /**
    * Alt for image in thumbnail at top of card, only for narrow cards
    */
    thumbnailAlt?: string;
}
export declare const AltCard: ({ body, imgSrc, imgAlt, title, narrow, thumbnailSrc, thumbnailAlt, }: AltCardProps) => JSX.Element;
