export interface ButtonProps {
    /**
     * What type of button is this?
     */
    type?: 'primary' | 'secondary' | 'header';
    /**
     * What property is this button for?
     */
    webProperty?: 'originprotocol' | 'ousd' | 'story';
    /**
     * How large should the button be?
     */
    size?: 'small' | 'medium' | 'large';
    /**
     * Button contents
     */
    label: string;
    /**
     * Optional click handler
     */
    onClick?: () => void;
    /**
     * What additional classes should be used?
     * Will add onto classes derived from other props.
     */
    className?: string;
    /**
     * What additional styles should be used?
     * Will override background colors/gradients derived from other props.
     */
    style?: object;
}
/**
 * Primary UI component for user interaction
 */
export declare const Button: ({ type, webProperty, size, label, className, style, ...props }: ButtonProps) => JSX.Element;
