export interface CardProps {
    /**
     * Web property that will change card base styling
     */
    webProperty: 'originprotocol' | 'ousd' | 'story' | 'launchpad' | 'press';
    /**
     * String at the top of the text portion of the card
     */
    title: string;
    /**
     * String used as body/subtitle below title
     */
    body?: string;
    /**
     * String that is used as link text, optional
     */
    linkText?: string;
    /**
     * String that is used as link href, optional
     */
    linkHref?: string;
    /**
     * String that is used as link text, only for press cards
     */
    linkText2?: string;
    /**
     * String that is used as link href, only for press cards
     */
    linkHref2?: string;
    /**
     * Src for image at top of card
     */
    imgSrc: string;
    /**
     * Src for alt at top of card
     */
    imgAlt: string;
    /**
     * Src for image in thumbnail at top of card, only for story cards
     */
    thumbnailSrc?: string;
    /**
     * Alt for image in thumbnail at top of card, only for story cards
     */
    thumbnailAlt?: string;
}
export declare const Card: ({ body, imgSrc, imgAlt, title, linkText, linkHref, linkText2, linkHref2, thumbnailSrc, thumbnailAlt, webProperty, }: CardProps) => JSX.Element;
